com.google.cloud.dataflow.sdk.transforms

## Interface SerializableFunction<InputT,OutputT>

Type Parameters:
  `InputT` - input value type
  `OutputT` - output value type

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  SimpleFunction

    public interface SerializableFunction<InputT,OutputT>
    extends Serializable

A function that computes an output value of type `OutputT` from an input value of type `InputT` and is `Serializable`.

### Method Summary

All Methods Instance Methods Abstract Methods
`OutputT` `apply(InputT input)` Returns the result of invoking this function on the given input.

### Method Detail

#### apply

    OutputT apply(InputT input)

Returns the result of invoking this function on the given input.